import {strict as assert} from 'node:assert';
// import * as Sharp from "sharp"; // It does not work...
import Sharp from "sharp"; // '"allowSyntheticDefaultImports": true,' is required...

const Image_processing = (image_location: string) => {
    try {
        const image = Sharp(image_location + "/Lips.png");
        image.metadata().then(metadata => {
            assert.strictEqual(metadata.format, "png");
            console.log(metadata);
        });
        image.grayscale()
            .rotate(180, {background: {r: 0, g: 0, b: 0, alpha: 0}})
            .toFile("Lips_.png");
    } catch (error: unknown) {
        console.log(`An error occurred during processing: ${error}`);
    }
}

export default Image_processing;
